Bug 227351 - [NEW PORT] emulators/mesen: Cross-platform Nintendo Entertainment System (NES/Famicom) emulator
Summary: [NEW PORT] emulators/mesen: Cross-platform Nintendo Entertainment System (NES...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-04-07 18:42 UTC by Greg V
Modified: 2019-07-21 07:47 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (greg)


Attachments
mesen.patch (9.67 KB, patch)
2018-04-07 18:42 UTC, Greg V
no flags Details | Diff
mesen.patch v2 (3.95 KB, patch)
2018-12-22 13:28 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-04-07 18:42:39 UTC
Created attachment 192315 [details]
mesen.patch

Upstream PR for FreeBSD support: https://github.com/SourMesen/Mesen/pull/363
Comment 1 Li-Wen Hsu freebsd_committer 2018-07-09 02:46:34 UTC
Does not build on 11: https://gist.github.com/lwhsu/dd8f89c812c0e12e2054e86f20928544
Comment 2 Greg V 2018-07-09 11:57:54 UTC
oops... The '-plugin' can be solved with '-fuse-ld=lld', but then there's a new problem:

11 does not have /usr/lib/libc++experimental.a (https://reviews.freebsd.org/D10840 was never MFC'd??) and there's no libc++ port.
Comment 3 Li-Wen Hsu freebsd_committer 2018-12-11 16:54:33 UTC
I tried build with 12.0 and added:

BUILD_DEPENDS=  zip:archivers/zip

but it still fails:

https://gist.github.com/24b31459977f7128ccf203d192cebd64
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 10:39:14 UTC
CC Dimitry re comment 2
Comment 5 Greg V 2018-12-22 13:28:29 UTC
Created attachment 200363 [details]
mesen.patch v2

- Added gdiplus dependency, should fix the above error
- Updated to 0.9.7
Comment 6 Li-Wen Hsu freebsd_committer 2019-02-12 03:10:48 UTC
(In reply to Greg V from comment #5)
Doesn't build on 12: https://gist.github.com/28577ebce23924d3882d80b7aa9142cc

Is there anything changed in using libevdev?
Comment 7 Greg V 2019-02-13 01:15:49 UTC
(In reply to Li-Wen Hsu from comment #6)

oh, probably a missing build dependency on evdev-proto here
Comment 8 commit-hook freebsd_committer 2019-07-03 02:05:48 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul  3 02:05:09 UTC 2019
New revision: 505721
URL: https://svnweb.freebsd.org/changeset/ports/505721

Log:
  emulators/mesen: add new port

  PR:		227351
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/emulators/mesen/
  head/emulators/mesen/Makefile
  head/emulators/mesen/distinfo
  head/emulators/mesen/files/
  head/emulators/mesen/files/launch.sh
  head/emulators/mesen/pkg-descr
  head/emulators/mesen/pkg-plist
Comment 9 Jan Beich freebsd_committer 2019-07-03 02:08:29 UTC
I've fixed build failures and updated to 0.9.8. Can you check it still works?